Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions | Protected Attributes
tlp::GlGraphComposite Class Reference

Class use to represent a graph. More...

`#include <GlGraphComposite.h>`

Inheritance diagram for tlp::GlGraphComposite:
[legend]
Collaboration diagram for tlp::GlGraphComposite:
[legend]

List of all members.

## Public Member Functions

- GlGraphComposite (Graph *graph)
- ~GlGraphComposite ()
- const GlGraphRenderingParameters & getRenderingParameters ()
- void setRenderingParameters (const GlGraphRenderingParameters &parameter)
- GlGraphRenderingParameters * getRenderingParametersPointer ()
- GlGraphInputData * getInputData ()
- virtual void acceptVisitor (GlSceneVisitor *visitor)
- std::set< node > & getMetaNodes ()
- void getXML (xmlNodePtr rootNode)
- void setWithXML (xmlNodePtr rootNode)
- void setDisplayNodes (bool display)
- void setDisplayMetaNodes (bool display)
- void setDisplayEdges (bool display)
- void setDisplayNodesLabel (bool display)
- void setDisplayMetaNodesLabel (bool display)
- void setDisplayEdgesLabel (bool display)
- void setSelectedNodesStencil (int stencil)
- void setSelectedMetaNodesStencil (int stencil)
- void setSelectedEdgesStencil (int stencil)
- void setNodesStencil (int stencil)
- void setMetaNodesStencil (int stencil)
- void setEdgesStencil (int stencil)
- void setNodesLabelStencil (int stencil)
- void setMetaNodesLabelStencil (int stencil)
- void setEdgesLabelStencil (int stencil)
- bool isDisplayNodes ()
- bool isDisplayMetaNodes ()
- bool isDisplayEdges ()
- bool isDisplayNodesLabel ()
- bool isDisplayMetaNodesLabel ()
- bool isDisplayEdgesLabel ()
- int getSelectedNodesStencil ()
- int getSelectedMetaNodesStencil ()
- int getSelectedEdgesStencil ()
- int getNodesStencil ()
- int getMetaNodesStencil ()
- int getEdgesStencil ()
- int getNodesLabelStencil ()
- int getMetaNodesLabelStencil ()
- int getEdgesLabelStencil ()

## Protected Member Functions

- virtual void addNode (Graph *, const node)
- virtual void addEdge (Graph *, const edge)
- virtual void delNode (Graph *, const node)
- virtual void delEdge (Graph *, const edge)
- virtual void afterSetNodeValue (PropertyInterface *, const node)
- virtual void destroy (Graph *)
- void buildSortedList ()
- void acceptVisitorForNodes (Graph *graph, GlSceneVisitor *visitor)
- void acceptVisitorForEdges (Graph *graph, GlSceneVisitor *visitor)

## Protected Attributes

- GlGraphRenderingParameters parameters
- GlGraphInputData inputData
- Graph * rootGraph
- bool haveToSort
- bool nodesModified
- std::set< node > metaNodes

## Detailed Description

Class use to represent a graph.

GlComposite use to represent a graph with nodes, metanodes and edges

## Constructor & Destructor Documentation

tlp::GlGraphComposite::GlGraphComposite | ( | Graph * | graph | ) |

Build a GlGraphComposite with the graph data

tlp::GlGraphComposite::~GlGraphComposite | ( |  | ) |

## Member Function Documentation

virtual void tlp::GlGraphComposite::acceptVisitor | ( | GlSceneVisitor * | visitor | ) | `[virtual]`

Function used to visit composite's children

Reimplemented from tlp::GlComposite.

void tlp::GlGraphComposite::acceptVisitorForEdges | ( | Graph * | graph,
|  | GlSceneVisitor * | visitor
| ) |  | `[protected]`

void tlp::GlGraphComposite::acceptVisitorForNodes | ( | Graph * | graph,
|  | GlSceneVisitor * | visitor
| ) |  | `[protected]`

virtual void tlp::GlGraphComposite::addEdge | ( | Graph * | ,
|  | const edge |
| ) |  | `[inline, protected, virtual]`

Function use by the GraphObserver when an edge is create in the graph

virtual void tlp::GlGraphComposite::addNode | ( | Graph * | ,
|  | const node |
| ) |  | `[inline, protected, virtual]`

Function use by the GraphObserver when a node is create in the graph

virtual void tlp::GlGraphComposite::afterSetNodeValue | ( | PropertyInterface * | ,
|  | const node |
| ) |  | `[inline, protected, virtual]`

void tlp::GlGraphComposite::buildSortedList | ( |  | ) | `[protected]`

virtual void tlp::GlGraphComposite::delEdge | ( | Graph * | ,
|  | const edge |
| ) |  | `[inline, protected, virtual]`

Function use by the GraphObserver when an edge is delete in the graph

virtual void tlp::GlGraphComposite::delNode | ( | Graph * | ,
|  | const node |
| ) |  | `[inline, protected, virtual]`

Function use by the GraphObserver when a node is delete in the graph

virtual void tlp::GlGraphComposite::destroy | ( | Graph * |  | ) | `[protected, virtual]`

Function use by the GraphObserver when the graph is delete

int tlp::GlGraphComposite::getEdgesLabelStencil | ( |  | ) | `[inline]`

int tlp::GlGraphComposite::getEdgesStencil | ( |  | ) | `[inline]`

GlGraphInputData* tlp::GlGraphComposite::getInputData | ( |  | ) |

Return the inputData use by the composite

std::set<node>& tlp::GlGraphComposite::getMetaNodes | ( |  | ) | `[inline]`

Return set of metaNodes

int tlp::GlGraphComposite::getMetaNodesLabelStencil | ( |  | ) | `[inline]`

int tlp::GlGraphComposite::getMetaNodesStencil | ( |  | ) | `[inline]`

int tlp::GlGraphComposite::getNodesLabelStencil | ( |  | ) | `[inline]`

int tlp::GlGraphComposite::getNodesStencil | ( |  | ) | `[inline]`

const GlGraphRenderingParameters& tlp::GlGraphComposite::getRenderingParameters | ( |  | ) |

Return the rendering parameters use for rendering

GlGraphRenderingParameters* tlp::GlGraphComposite::getRenderingParametersPointer | ( |  | ) |

Return a pointer on rendering parameters used for rendering

int tlp::GlGraphComposite::getSelectedEdgesStencil | ( |  | ) | `[inline]`

int tlp::GlGraphComposite::getSelectedMetaNodesStencil | ( |  | ) | `[inline]`

int tlp::GlGraphComposite::getSelectedNodesStencil | ( |  | ) | `[inline]`

void tlp::GlGraphComposite::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Get the data in XML form

Reimplemented from tlp::GlComposite.

bool tlp::GlGraphComposite::isDisplayEdges | ( |  | ) | `[inline]`

bool tlp::GlGraphComposite::isDisplayEdgesLabel | ( |  | ) | `[inline]`

bool tlp::GlGraphComposite::isDisplayMetaNodes | ( |  | ) | `[inline]`

bool tlp::GlGraphComposite::isDisplayMetaNodesLabel | ( |  | ) | `[inline]`

bool tlp::GlGraphComposite::isDisplayNodes | ( |  | ) | `[inline]`

bool tlp::GlGraphComposite::isDisplayNodesLabel | ( |  | ) | `[inline]`

void tlp::GlGraphComposite::setDisplayEdges | ( | bool | display | ) | `[inline]`

void tlp::GlGraphComposite::setDisplayEdgesLabel | ( | bool | display | ) | `[inline]`

void tlp::GlGraphComposite::setDisplayMetaNodes | ( | bool | display | ) | `[inline]`

void tlp::GlGraphComposite::setDisplayMetaNodesLabel | ( | bool | display | ) | `[inline]`

void tlp::GlGraphComposite::setDisplayNodes | ( | bool | display | ) | `[inline]`

void tlp::GlGraphComposite::setDisplayNodesLabel | ( | bool | display | ) | `[inline]`

void tlp::GlGraphComposite::setEdgesLabelStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setEdgesStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setMetaNodesLabelStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setMetaNodesStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setNodesLabelStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setNodesStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setRenderingParameters | ( | const GlGraphRenderingParameters & | parameter | ) |

Set the rendering parameters use for rendering

void tlp::GlGraphComposite::setSelectedEdgesStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setSelectedMetaNodesStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setSelectedNodesStencil | ( | int | stencil | ) | `[inline]`

void tlp::GlGraphComposite::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Set the data with XML

Reimplemented from tlp::GlComposite.

## Member Data Documentation

bool tlp::GlGraphComposite::haveToSort`[protected]`

GlGraphInputData tlp::GlGraphComposite::inputData`[protected]`

std::set<node> tlp::GlGraphComposite::metaNodes`[protected]`

bool tlp::GlGraphComposite::nodesModified`[protected]`

GlGraphRenderingParameters tlp::GlGraphComposite::parameters`[protected]`

Graph* tlp::GlGraphComposite::rootGraph`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012